===========================================================
                                      .___ __  __   
          _________________  __ __  __| _/|__|/  |_ 
         / ___\_` __ \__  \ |  |  \/ __ | | \\_  __\
        / /_/  >  | \// __ \|  |  / /_/ | |  ||  |  
        \___  /|__|  (____  /____/\____ | |__||__|  
       /_____/            \/           \/           
              grep rough audit - static analysis tool
                  v2.8 written by @Wireghoul
=================================[justanotherhacker.com]===
git-lfs-2.12.1/CHANGELOG.md-668-correctly run 'fetch' on SHAs instead of references, migrates symbolic links
git-lfs-2.12.1/CHANGELOG.md:669:correctly, and avoids writing to `$HOME/.gitconfig` more than is necessary.
git-lfs-2.12.1/CHANGELOG.md-670-
##############################################
git-lfs-2.12.1/CHANGELOG.md-957-* fsck only scans current version of objects #2049 (@TheJare)
git-lfs-2.12.1/CHANGELOG.md:958:* progress: fix writing updates to `$GIT_LFS_PROGRESS` #2465 (@ttaylorr)
git-lfs-2.12.1/CHANGELOG.md-959-* commands/track: resolve symlinks before comparing attr paths #2463 (@ttaylorr)
##############################################
git-lfs-2.12.1/Makefile-503-.PHONY : fmt
git-lfs-2.12.1/Makefile:504:ifeq ($(shell test -x "`which $(GOIMPORTS)`"; echo $$?),0)
git-lfs-2.12.1/Makefile-505-fmt : $(SOURCES) | lint
##############################################
git-lfs-2.12.1/Makefile-508-fmt : $(SOURCES) | lint
git-lfs-2.12.1/Makefile:509:	@echo "git-lfs: skipping fmt, no goimports found at \`$(GOIMPORTS)\` ..."
git-lfs-2.12.1/Makefile-510-endif
##############################################
git-lfs-2.12.1/README.md-41-
git-lfs-2.12.1/README.md:42:- Install Git LFS binaries onto the system `$PATH`
git-lfs-2.12.1/README.md-43-- Run `git lfs install` to
##############################################
git-lfs-2.12.1/README.md-51-
git-lfs-2.12.1/README.md:52:- Place the `git-lfs` binary on your system’s executable `$PATH` or equivalent.
git-lfs-2.12.1/README.md-53-- Git LFS requires global configuration changes once per-machine. This can be done by
##############################################
git-lfs-2.12.1/docker/README.md-223-generate them in there, and save them in the /src dir to get them out of the docker.
git-lfs-2.12.1/docker/README.md:224:Or `docker run -it --rm -v $(pwd):/key OS_NAME:OS_VERSION bash`, and generate in
git-lfs-2.12.1/docker/README.md-225-that docker and save to the `/key` directory
##############################################
git-lfs-2.12.1/docker/gpg-agent_preload.bsh-10-
git-lfs-2.12.1/docker/gpg-agent_preload.bsh:11:: ${SUDO=`if ( [ ! -w /var/run/docker.sock ] && id -nG | grep -qwv docker && [ "${DOCKER_HOST:+dh}" != "dh" ] ) && which sudo > /dev/null 2>&1; then echo sudo; fi`}
git-lfs-2.12.1/docker/gpg-agent_preload.bsh-12-
##############################################
git-lfs-2.12.1/docker/gpg-agent_start.bsh-10-
git-lfs-2.12.1/docker/gpg-agent_start.bsh:11:: ${SUDO=`if ( [ ! -w /var/run/docker.sock ] && id -nG | grep -qwv docker && [ "${DOCKER_HOST:+dh}" != "dh" ] ) && which sudo > /dev/null 2>&1; then echo sudo; fi`}
git-lfs-2.12.1/docker/gpg-agent_start.bsh-12-
##############################################
git-lfs-2.12.1/docker/gpg-agent_stop.bsh-9-
git-lfs-2.12.1/docker/gpg-agent_stop.bsh:10:: ${SUDO=`if ( [ ! -w /var/run/docker.sock ] && id -nG | grep -qwv docker && [ "${DOCKER_HOST:+dh}" != "dh" ] ) && which sudo > /dev/null 2>&1; then echo sudo; fi`}
git-lfs-2.12.1/docker/gpg-agent_stop.bsh-11-
##############################################
git-lfs-2.12.1/docker/run_dockers.bsh-32-#If you are not in docker group and you have sudo, default value is sudo
git-lfs-2.12.1/docker/run_dockers.bsh:33:: ${SUDO=`if ( [ ! -w /var/run/docker.sock ] && id -nG | grep -qwv docker && [ "${DOCKER_HOST:+dh}" != "dh" ] ) && which sudo > /dev/null 2>&1; then echo sudo; fi`}
git-lfs-2.12.1/docker/run_dockers.bsh-34-
##############################################
git-lfs-2.12.1/git/githistory/rewriter_test.go-469-
git-lfs-2.12.1/git/githistory/rewriter_test.go:470:	expected := reflect.ValueOf(f).Elem().Addr().Pointer()
git-lfs-2.12.1/git/githistory/rewriter_test.go:471:	got := reflect.ValueOf(r.Filter()).Elem().Addr().Pointer()
git-lfs-2.12.1/git/githistory/rewriter_test.go-472-
##############################################
git-lfs-2.12.1/lfsapi/auth_test.go-102-		"protocol": "http",
git-lfs-2.12.1/lfsapi/auth_test.go:103:		"host":     srv.Listener.Addr().String(),
git-lfs-2.12.1/lfsapi/auth_test.go-104-	})))
##############################################
git-lfs-2.12.1/lfsapi/auth_test.go-142-		"protocol": "http",
git-lfs-2.12.1/lfsapi/auth_test.go:143:		"host":     srv.Listener.Addr().String(),
git-lfs-2.12.1/lfsapi/auth_test.go-144-	})
##############################################
git-lfs-2.12.1/lfsapi/auth_test.go-173-		"protocol": "http",
git-lfs-2.12.1/lfsapi/auth_test.go:174:		"host":     srv.Listener.Addr().String(),
git-lfs-2.12.1/lfsapi/auth_test.go-175-	})))
##############################################
git-lfs-2.12.1/lfsapi/auth_test.go-282-		"protocol": "http",
git-lfs-2.12.1/lfsapi/auth_test.go:283:		"host":     srv.Listener.Addr().String(),
git-lfs-2.12.1/lfsapi/auth_test.go-284-	})))
##############################################
git-lfs-2.12.1/lfshttp/client_test.go-112-	srv3Https = srv3.URL
git-lfs-2.12.1/lfshttp/client_test.go:113:	srv3Http = fmt.Sprintf("http://%s", srv3InsecureListener.Addr().String())
git-lfs-2.12.1/lfshttp/client_test.go-114-
##############################################
git-lfs-2.12.1/script/backport-pr-28-
git-lfs-2.12.1/script/backport-pr:29:commit=`git log -1 --pretty=%H "--grep=Merge pull request #$pr" "--grep=Merge branch '.*$headref'" master`
git-lfs-2.12.1/script/backport-pr-30-
##############################################
git-lfs-2.12.1/script/upload-59-  local os=$(echo "$file" | sed -e 's/^git-lfs-//' -e 's/[-.].*$//')
git-lfs-2.12.1/script/upload:60:  local arch=$(echo "$file" | ruby -pe '$_.gsub!(/\Agit-lfs-[^-]+-([^-]+)[-.].*/, "\\1")')
git-lfs-2.12.1/script/upload-61-
##############################################
git-lfs-2.12.1/t/t-batch-retries-ratelimit.sh-93-    if [ "0" -ne "$?" ]; then
git-lfs-2.12.1/t/t-batch-retries-ratelimit.sh:94:	  echo >&2 "fatal: expected \`git lfs clone \"$GITSERVER/$reponame\" \"$reponame-assert\"\` to su``"
git-lfs-2.12.1/t/t-batch-retries-ratelimit.sh-95-	  exit 1
##############################################
git-lfs-2.12.1/t/t-clone.sh-419-    # https://github.com/git-lfs/git-lfs/pull/1782#issuecomment-267678319
git-lfs-2.12.1/t/t-clone.sh:420:    echo >&2 "[!] \`git lfs clone $GITSERVER/$reponame $local_reponame\` failed"
git-lfs-2.12.1/t/t-clone.sh-421-    git lfs logs last
##############################################
git-lfs-2.12.1/t/t-pre-push.sh-361-  if [ "0" -ne "${PIPESTATUS[1]}" ]; then
git-lfs-2.12.1/t/t-pre-push.sh:362:    echo >&2 "fatal: expected \`git lfs pre-push origin $GITSERVER/$reponame\` to succeed..."
git-lfs-2.12.1/t/t-pre-push.sh-363-    exit 1
##############################################
git-lfs-2.12.1/t/t-pre-push.sh-410-  if [ "2" -ne "${PIPESTATUS[1]}" ]; then
git-lfs-2.12.1/t/t-pre-push.sh:411:    echo >&2 "fatal: expected \`git lfs pre-push origin $GITSERVER/$reponame\` to fail..."
git-lfs-2.12.1/t/t-pre-push.sh-412-    exit 1
##############################################
git-lfs-2.12.1/t/testenv.sh-46-
git-lfs-2.12.1/t/testenv.sh:47:    cd `dirname $target`
git-lfs-2.12.1/t/testenv.sh:48:    target=`basename $target`
git-lfs-2.12.1/t/testenv.sh-49-    while [ -L "$target" ]
git-lfs-2.12.1/t/testenv.sh-50-    do
git-lfs-2.12.1/t/testenv.sh:51:        target=`readlink $target`
git-lfs-2.12.1/t/testenv.sh:52:        cd `dirname $target`
git-lfs-2.12.1/t/testenv.sh:53:        target=`basename $target`
git-lfs-2.12.1/t/testenv.sh-54-    done
##############################################
git-lfs-2.12.1/t/testhelpers.sh-305-    sleep $wait_time
git-lfs-2.12.1/t/testhelpers.sh:306:    n=`expr $n + 1`
git-lfs-2.12.1/t/testhelpers.sh-307-    if [ $wait_time -lt 4 ]; then
git-lfs-2.12.1/t/testhelpers.sh:308:      wait_time=`expr $wait_time \* 2`
git-lfs-2.12.1/t/testhelpers.sh-309-    fi
##############################################
git-lfs-2.12.1/t/testhelpers.sh-533-
git-lfs-2.12.1/t/testhelpers.sh:534:  LFS_CLIENT_CERT_URL=`cat $LFS_CLIENT_CERT_URL_FILE`
git-lfs-2.12.1/t/testhelpers.sh-535-
##############################################
git-lfs-2.12.1/t/testhelpers.sh-777-  prefix=`git rev-parse --show-prefix`
git-lfs-2.12.1/t/testhelpers.sh:778:  hashsrc=`printf "$src" | git hash-object -w --stdin`
git-lfs-2.12.1/t/testhelpers.sh-779-